Package jaxe

# Class JaxeTextPane

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.text.JTextComponent
javax.swing.JEditorPane
javax.swing.JTextPane
jaxe.JaxeTextPane

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `Scrollable`

public class JaxeTextPane extends JTextPane
Zone de texte éditable correspondant à un document XML. Peut être utilisée indépendamment de JaxeFrame et JaxeMenuBar.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`JaxeTextPane.ActionColler`
`protected static class`
`JaxeTextPane.ActionCopier`
`protected static class`
`JaxeTextPane.ActionCouper`
`protected static class`
`JaxeTextPane.ActionMenuContextuel`
`protected class`
`JaxeTextPane.MyCaretListener`
`protected class`
`JaxeTextPane.MyUndoableEditListener`

## Nested classes/interfaces inherited from class javax.swing.JEditorPane

`JEditorPane.AccessibleJEditorPane, JEditorPane.AccessibleJEditorPaneHTML, JEditorPane.JEditorPaneAccessibleHypertextSupport`

## Nested classes/interfaces inherited from class javax.swing.text.JTextComponent

`JTextComponent.AccessibleJTextComponent, JTextComponent.DropLocation, JTextComponent.KeyBinding`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`iconeValide`
`JFrame`
`jframe`

### Fields inherited from class javax.swing.JEditorPane

`HONOR_DISPLAY_PROPERTIES, W3C_LENGTH_UNITS`

### Fields inherited from class javax.swing.text.JTextComponent

`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`JaxeTextPane(JaxeDocument doc, JFrame jframe)`
`JaxeTextPane(JaxeDocument doc, JFrame jframe, boolean iconeValide)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEdit(UndoableEdit edit)`
`void`
`ajouterEcouteurAnnulation(EcouteurMAJ ec)`
`void`
`ajouterEcouteurArbre(EcouteurMAJ ec)`
`void`
`allerElement(Element el)`
Positionne le document au début de l'élément DOM donné en paramètre.
`void`
`allerLigne(int ligne)`
Positionne le document à la ligne indiquée (la première ligne a le numéro 1)
`boolean`
`coller()`
Deprecated.
remplacé par paste()
`void`
`copier()`
Deprecated.
remplacé par copy()
`void`
`couper()`
Deprecated.
remplacé par cut()
`void`
`couper(int debut, int fin)`
Deprecated.
`void`
`debutEditionSpeciale(String titre, boolean ignorerEdition)`
Edition spéciale: combinaison d'un ensemble de JaxeUndoableEdit.
`void`
`debutIgnorerEdition()`
`static void`
`effacerPressePapier()`
Deprecated.
`void`
`finEditionSpeciale()`
`void`
`finIgnorerEdition()`
`boolean`
`getEditionSpeciale()`
`boolean`
`getIgnorerEdition()`
`UndoManager`
`getUndo()`
`protected void`
`menuContextuel(int pos, Point pt)`
`void`
`miseAJourAnnulation()`
`void`
`miseAJourArbre()`
`void`
`processMouseEvent(MouseEvent e)`
`void`
`rechercher()`
`void`
`rechercher(String s)`
`void`
`retirerEcouteurAnnulation(EcouteurMAJ ec)`
`void`
`retirerEcouteurArbre(EcouteurMAJ ec)`
`void`
`selectElement(Node n)`
Sélectionne le noeud DOM donné en paramètre.
`void`
`selectZone(int debut, int fin, boolean select, boolean modsel)`
`void`
`setIconeValide(boolean iconeValide)`
`void`
`setTabs(int charactersPerTab)`
`void`
`suivant()`
`void`
`toutSelectionner()`
`void`
`undo()`

### Methods inherited from class javax.swing.JTextPane

`addStyle, createDefaultEditorKit, getCharacterAttributes, getInputAttributes, getLogicalStyle, getParagraphAttributes, getStyle, getStyledDocument, getStyledEditorKit, getUIClassID, insertComponent, insertIcon, paramString, removeStyle, replaceSelection, setCharacterAttributes, setDocument, setEditorKit, setLogicalStyle, setParagraphAttributes, setStyledDocument`

### Methods inherited from class javax.swing.JEditorPane

`addHyperlinkListener, createEditorKitForContentType, fireHyperlinkUpdate, getAccessibleContext, getContentType, getEditorKit, getEditorKitClassNameForContentType, getEditorKitForContentType, getHyperlinkListeners, getPage, getPreferredSize, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getStream, getText, read, registerEditorKitForContentType, registerEditorKitForContentType, removeHyperlinkListener, scrollToReference, setContentType, setEditorKitForContentType, setPage, setPage, setText`

### Methods inherited from class javax.swing.text.JTextComponent

`addCaretListener, addInputMethodListener, addKeymap, copy, cut, fireCaretUpdate, getActions, getCaret, getCaretColor, getCaretListeners, getCaretPosition, getDisabledTextColor, getDocument, getDragEnabled, getDropLocation, getDropMode, getFocusAccelerator, getHighlighter, getInputMethodRequests, getKeymap, getKeymap, getMargin, getNavigationFilter, getPreferredScrollableViewportSize, getPrintable, getScrollableBlockIncrement, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getToolTipText, getUI, isEditable, loadKeymap, modelToView, modelToView2D, moveCaretPosition, paste, print, print, print, processInputMethodEvent, read, removeCaretListener, removeKeymap, removeNotify, restoreComposedText, saveComposedText, select, selectAll, setCaret, setCaretColor, setCaretPosition, setComponentOrientation, setDisabledTextColor, setDragEnabled, setDropMode, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setUI, updateUI, viewToModel, viewToModel2D, write`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### jframe

public JFrame jframe

### iconeValide

public boolean iconeValide

## Constructor Details

### JaxeTextPane

public JaxeTextPane(JaxeDocument doc, JFrame jframe)

### JaxeTextPane

public JaxeTextPane(JaxeDocument doc, JFrame jframe, boolean iconeValide)

## Method Details

### getUndo

public UndoManager getUndo()

### undo

public void undo()

### getEditionSpeciale

public boolean getEditionSpeciale()

### getIgnorerEdition

public boolean getIgnorerEdition()

### processMouseEvent

public void processMouseEvent(MouseEvent e)

Overrides:
  `processMouseEvent` in class `JComponent`

### menuContextuel

protected void menuContextuel(int pos, Point pt)

### selectZone

public void selectZone(int debut, int fin, boolean select, boolean modsel)

### selectElement

public void selectElement(Node n)
Sélectionne le noeud DOM donné en paramètre.

### allerLigne

public void allerLigne(int ligne)
Positionne le document à la ligne indiquée (la première ligne a le numéro 1)

### allerElement

public void allerElement(Element el)
Positionne le document au début de l'élément DOM donné en paramètre.

### debutIgnorerEdition

public void debutIgnorerEdition()

### finIgnorerEdition

public void finIgnorerEdition()

### debutEditionSpeciale

public void debutEditionSpeciale(String titre, boolean ignorerEdition)
Edition spéciale: combinaison d'un ensemble de JaxeUndoableEdit.

### finEditionSpeciale

public void finEditionSpeciale()

### addEdit

public void addEdit(UndoableEdit edit)

### couper

@Deprecated public void couper()
Deprecated.
remplacé par cut()

### couper

@Deprecated public void couper(int debut, int fin)
Deprecated.
Coupe une zone du document et la place dans le presse-papier les paramètres ne sont plus utilisés (la sélection est utilisée à la place)

### copier

@Deprecated public void copier()
Deprecated.
remplacé par copy()
Copie la sélection dans le presse-papier

### coller

@Deprecated public boolean coller()
Deprecated.
remplacé par paste()
Colle le contenu du presse-papier en remplaçant la sélection

### effacerPressePapier

@Deprecated public static void effacerPressePapier()
Deprecated.
Ne fait plus rien. Etait appelé par JTPClipOwner.lostOwnership().

### toutSelectionner

public void toutSelectionner()

### rechercher

public void rechercher()

### rechercher

public void rechercher(String s)

### suivant

public void suivant()

### ajouterEcouteurArbre

public void ajouterEcouteurArbre(EcouteurMAJ ec)

### retirerEcouteurArbre

public void retirerEcouteurArbre(EcouteurMAJ ec)

### miseAJourArbre

public void miseAJourArbre()

### ajouterEcouteurAnnulation

public void ajouterEcouteurAnnulation(EcouteurMAJ ec)

### retirerEcouteurAnnulation

public void retirerEcouteurAnnulation(EcouteurMAJ ec)

### miseAJourAnnulation

public void miseAJourAnnulation()

### setTabs

public void setTabs(int charactersPerTab)

### setIconeValide

public void setIconeValide(boolean iconeValide)